Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 619485 - Review Request: python-kitchen - Small, useful pieces of code to make python coding easier
Review Request: python-kitchen - Small, useful pieces of code to make python ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Toshio Ernie Kuratomi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-29 12:23 EDT by Dennis Gilmore
Modified: 2013-01-10 01:06 EST (History)
4 users (show)

See Also:
Fixed In Version: python-kitchen-0.2.1-0.1.a1.el4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-24 19:04:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
a.badger: fedora‑review+
jkeating: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Dennis Gilmore 2010-07-29 12:23:29 EDT
Spec URL: http://ausil.us/packages/kitchen.spec
SRPM URL: http://ausil.us/packages/kitchen-0.2a1-1.fc14.src.rpm
Description: 
kitchen includes functions to make gettext easier to use, handling unicode text easier
(conversion with bytes, outputting xml, and calculating how many columns a string takes),
and compatibility modules for writing code that uses python-2.7 modules but needs to
run on python-2.3
Comment 1 Dennis Gilmore 2010-07-29 12:29:05 EDT
SRPM: http://ausil.us/packages/python-kitchen-0.2a1-2.fc13.src.rpm
SPEC: http://ausil.us/packages/python-kitchen.spec

rename to python-kitchen
Comment 2 Toshio Ernie Kuratomi 2010-07-29 15:01:38 EDT
Good:
* Package name is fine (but see Needswork for version note)
* Spec file name matches package name
* License, LGPLv2+ is good and spec matches source
* Builds in mock.  See all the changes made below
* rpmlint has some false positives about spelling but otherwise is fine.
* spec file is readable, American English
* source matches upstream
* Builds in mock
* No locales at present.  Note that the package is setup for translations so in
  the future, you might need to use %find_lang
  https://fedoraproject.org/wiki/Packaging/Guidelines#Handling_Locale_Files
* No elf shared libraries
* Not relocatable
* All created files and directories are owned and nothing else
* No files listed multiple times
* Permissions set appropriately
* Macros used consistently
* Package contains code
* Nothing in %doc is needed at runtime
* Not a GUI app
* All filenames are valid UTF8

Needswork:
* Need to include COPYING.LESSER as well as COPYING -- the former is the LGPLv2+ text.
  - Could also include NEWS

* Version must not include alphabetic characters.  Change to this:

Version: 0.2
Release: 0.3.a1%{?dist}

* Upstream includes unittests.  We should run them.  Note, some bugs were fixed
  in bzr for failing unittests on python-2.3 and python-2.4.  I can spin a new
  upstream release so we can build on RHEL-5 and RHEL-4::

BuildRequires: python-nose
[...]
%check
# In current mock, the PATH isn't being reset.  This causes failures in some
# subprocess tests as a check tests /root/bin/PROGRAM and fails with Permission
# Denied instead of File Not Found.  reseting the PATH works around this.
PATH=/bin:/usr/bin
nosetests

* There's an optional dependency on python-chardet.  I would require that as it
* adds good value to what the code can do::

BuildRequires: python-chardet
Requires: python-chardet

* There's a lot of documentation for kitchen available in the docs
  subdirectory.  We should include that.  (We can also build the documentation
  into html using python-sphinx but that's up to you.)

Minor:
* The description is more than 80 characters wide.  Reformatted::

kitchen includes functions to make gettext easier to use, handling unicode
text easier (conversion with bytes, outputting xml, and calculating how many
columns a string takes), and compatibility modules for writing code that uses
python-2.7 modules but needs to run on python-2.3.

* BuildRequires: python2-devel is better than python-devel in case we ever move to python3 as the default python.

I'll attach a patch for these issues
Comment 3 Dennis Gilmore 2010-07-29 16:50:09 EDT
SRPM: http://ausil.us/packages/python-kitchen-0.2-0.1.a2.fc13.src.rpm
SPEC: http://ausil.us/packages/python-kitchen.spec

python-chardet is only available on fedora

i test built on F-13 EL-4 and EL-5
Comment 4 Toshio Ernie Kuratomi 2010-07-29 16:55:32 EDT
All problems noted above taken care of.

APPROVED
Comment 5 Dennis Gilmore 2010-07-29 17:13:46 EDT
New Package CVS Request
=======================
Package Name: python-kitchen 
Short Description: Small, useful pieces of code to make python coding easier
Owners: ausil
Branches: EL-4 EL-5 EL-6 F-12 F-13
InitialCC:
Comment 6 Fedora Update System 2010-07-29 19:18:06 EDT
python-kitchen-0.2-0.1.a2.el5,fedora-packager-0.5.1.0-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/python-kitchen-0.2-0.1.a2.el5,fedora-packager-0.5.1.0-1.el5
Comment 7 Fedora Update System 2010-07-29 21:06:00 EDT
python-kitchen-0.2-0.1.a2.el5, fedora-packager-0.5.1.0-1.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-kitchen fedora-packager'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/python-kitchen-0.2-0.1.a2.el5,fedora-packager-0.5.1.0-1.el5
Comment 8 Jesse Keating 2010-07-30 01:44:52 EDT
CVS done.
Comment 9 Fedora Update System 2010-08-01 11:50:56 EDT
python-kitchen-0.2-0.1.a2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/python-kitchen-0.2-0.1.a2.fc13
Comment 10 Fedora Update System 2010-08-02 20:31:42 EDT
python-kitchen-0.2-0.1.a2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-kitchen'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/python-kitchen-0.2-0.1.a2.fc13
Comment 11 Fedora Update System 2010-08-12 13:55:23 EDT
python-kitchen-0.2-0.1.a2.el5, fedora-packager-0.5.1.1-1.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-kitchen fedora-packager'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/python-kitchen-0.2-0.1.a2.el5,fedora-packager-0.5.1.1-1.el5
Comment 12 Fedora Update System 2010-08-13 18:38:20 EDT
fedora-packager-0.5.1.2-2.el5, python-kitchen-0.2-0.1.a2.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update fedora-packager python-kitchen'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/python-kitchen-0.2-0.1.a2.el5,fedora-packager-0.5.1.2-2.el5
Comment 13 Fedora Update System 2010-08-24 19:02:58 EDT
fedora-packager-0.5.1.2-2.el5, python-kitchen-0.2-0.1.a2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2010-09-03 01:53:57 EDT
python-kitchen-0.2.1-0.1.a1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/python-kitchen-0.2.1-0.1.a1.el5
Comment 15 Fedora Update System 2010-09-03 01:54:03 EDT
python-kitchen-0.2.1-0.1.a1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/python-kitchen-0.2.1-0.1.a1.fc13
Comment 16 Fedora Update System 2010-09-03 01:54:07 EDT
python-kitchen-0.2.1-0.1.a1.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/python-kitchen-0.2.1-0.1.a1.fc12
Comment 17 Fedora Update System 2010-09-03 01:54:13 EDT
python-kitchen-0.2.1-0.1.a1.el4 has been submitted as an update for Fedora EPEL 4.
https://admin.fedoraproject.org/updates/python-kitchen-0.2.1-0.1.a1.el4
Comment 18 Fedora Update System 2010-09-15 01:32:51 EDT
python-kitchen-0.2.1-0.1.a1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2010-09-15 01:43:14 EDT
python-kitchen-0.2.1-0.1.a1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 20 Fedora Update System 2010-09-18 14:01:38 EDT
python-kitchen-0.2.1-0.1.a1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 21 Fedora Update System 2010-09-18 14:01:56 EDT
python-kitchen-0.2.1-0.1.a1.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.